/* functionPlotter.cpp demonstrates the use of class CartesianSystem.
 *
 * Note:  We plot two functions f(x) and g(x).
 */
 
#include "CartesianSystem.h"
#include <cmath>
using namespace std;

double f(double x);
double f(double x) { return x * cos(x); }

double g(double x);
double g(double x) { return x; }

int main()
{
  cout << "This program graphs two functions\n"
       << " (currently f(x) = x*cos(x) and g(x) = x)."
       << "\n\nEnter the first and last X values: ";
  double xFirst, xLast;
  cin >> xFirst >> xLast;
  cout << "\nEnter the first and last Y values: ";
  double yFirst, yLast;
  cin >> yFirst >> yLast;
  
  CartesianSystem grid(xFirst, yFirst, xLast, yLast);
  
  grid.setPenWidth(3);
  grid.setFont(12, 0, 2);
  grid.drawFunction(g, BLUE);
  grid.drawFunction(f, RED);
}
